#if !defined(AFX_ALLLISTDLG_H__14A4EDF4_471D_4FEE_9FE4_43A5BABD0319__INCLUDED_)
#define AFX_ALLLISTDLG_H__14A4EDF4_471D_4FEE_9FE4_43A5BABD0319__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AllListDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAllListDlg dialog

class CAllListDlg : public CDialog
{
// Construction
public:
	CAllListDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAllListDlg)
	enum { IDD = IDD_DIALOG_ALLLIST };
	CListBox	m_ListObject;
	CString	m_strSearch;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAllListDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation



private:
	int			m_nObjCheckNumber; //07-05-13 by shkim, 오브젝트 번호를 담기 위해

private:
	// 07-05-13 by shkim, 오브젝트 번호를 받아서 찾아 준다.
	// int			GetObjectNumberCheck( int nObjNumber );	
	// 07-05-14 by shkim, 리스트의 번호로 오브젝트를 보여 준다.
	void		GetObjectViewer( int nListNumber );
	int			GetObjectNumberCheck( CString strSearch );	
public:
	void OnKeyButtonDelete();

protected:

	// Generated message map functions
	//{{AFX_MSG(CAllListDlg)
	afx_msg void OnSelchangeListObjectlist();
	afx_msg void OnButtonDelete();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSerchobjlistButton();
	afx_msg void OnUpdateObjlistEdit();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ALLLISTDLG_H__14A4EDF4_471D_4FEE_9FE4_43A5BABD0319__INCLUDED_)
